Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028200
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-11-18 10:312015-11-23 21:17
ReporterpsanjuanView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision487c8bf134ae
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028200: Amount field located in "Cost" tab set as read-only.

DescriptionAmount field located in "Cost" tab set as read-only.
Steps To ReproduceNavigate to Landed Cost window and create a new header. Save.

Go to Cost tab and click on "Create One". Select a landed Cost type and enter an Amount in the field Amount.

Press the key "arrow down" therefore a new record in grid view is created.

Realize that "Amount" field is now read-only.
Proposed Solution"Amount" field needs to be editable anyway.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00322723.0PR16Q2 closedinigosanchez Error when working in grid mode with the keyboard: combo field not available after pressing ENTER 

-  Notes
(0081829)
caristu (developer)
2015-11-13 15:17

fix pushed to try
(0081857)
hgbot (developer)
2015-11-16 08:47

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: ac26aa3e1bd3250d9d4e53af59bb2b0c397e3348
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 16 08:47:18 2015 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/ac26aa3e1bd3250d9d4e53af59bb2b0c397e3348 [^]

related to issue 28200: Amount field located in 'Cost' tab set as read-only

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/form/ComboBoxItem.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Forms.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Forms.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Forms.js
---
(0081858)
hgbot (developer)
2015-11-16 08:53

Repository: erp/devel/pi
Changeset: 487c8bf134aeab073bb6a09d46fa26dfdfa66988
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 16 08:52:40 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/487c8bf134aeab073bb6a09d46fa26dfdfa66988 [^]

fixes issue 28200: Amount field located in 'Cost' tab set as read-only

The Amount field has a read only logic based on the value of the Invoice Line field and this problem was reproducible if we tab over the Invoice Line field. After that action, the setValue() function of OBComboBoxItem was setting the value to null.

This caused that the currentValue was set to null in setItemValue function of ob-view-form, avoiding to include the invoiceline property into the currentValues of the form. As this property was not present, an undefined value was retrieved when computing the read only logic for the amount field, so the logic was not being calculated properly, causing this field to be displayed as read only.

This was an Smartclient issue in the OBComboBoxItem widget. The corresponding fix for the setValue() function has been applied to solve the issue.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0081884)
alostale (developer)
2015-11-16 14:23

code reviewed + tested
(0082229)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-18 10:31 psanjuan New Issue
2014-11-18 10:31 psanjuan Assigned To => AugustoMauch
2014-11-18 10:31 psanjuan Modules => Core
2014-11-18 10:31 psanjuan Triggers an Emergency Pack => No
2015-03-11 11:10 alostale Status new => acknowledged
2015-03-17 14:37 alostale Assigned To AugustoMauch => platform
2015-06-25 18:02 caristu Assigned To platform => NaroaIriarte
2015-11-11 12:13 alostale Assigned To NaroaIriarte => platform
2015-11-13 10:28 caristu Assigned To platform => caristu
2015-11-13 10:28 caristu Status acknowledged => scheduled
2015-11-13 15:17 caristu Note Added: 0081829
2015-11-16 08:47 hgbot Checkin
2015-11-16 08:47 hgbot Note Added: 0081857
2015-11-16 08:48 caristu Review Assigned To => alostale
2015-11-16 08:48 caristu Issue Monitored: alostale
2015-11-16 08:53 hgbot Checkin
2015-11-16 08:53 hgbot Note Added: 0081858
2015-11-16 08:53 hgbot Status scheduled => resolved
2015-11-16 08:53 hgbot Resolution open => fixed
2015-11-16 08:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/487c8bf134aeab073bb6a09d46fa26dfdfa66988 [^]
2015-11-16 14:23 alostale Note Added: 0081884
2015-11-16 14:23 alostale Status resolved => closed
2015-11-16 14:23 alostale Fixed in Version => 3.0PR16Q1
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082229
2016-03-16 16:31 alostale Relationship added related to 0032272


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker